<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddNetworkAccessProfileReq StructType
 * @subpackage Structs
 */
class AddNetworkAccessProfileReq extends APIRequest
{
    /**
     * The networkAccessProfile
     * @var XNetworkAccessProfile
     */
    public $networkAccessProfile;
    /**
     * Constructor method for AddNetworkAccessProfileReq
     * @uses AddNetworkAccessProfileReq::setNetworkAccessProfile()
     * @param XNetworkAccessProfile $networkAccessProfile
     */
    public function __construct(XNetworkAccessProfile $networkAccessProfile = null)
    {
        $this
            ->setNetworkAccessProfile($networkAccessProfile);
    }
    /**
     * Get networkAccessProfile value
     * @return XNetworkAccessProfile|null
     */
    public function getNetworkAccessProfile()
    {
        return $this->networkAccessProfile;
    }
    /**
     * Set networkAccessProfile value
     * @param XNetworkAccessProfile $networkAccessProfile
     * @return AddNetworkAccessProfileReq
     */
    public function setNetworkAccessProfile(XNetworkAccessProfile $networkAccessProfile = null)
    {
        $this->networkAccessProfile = $networkAccessProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddNetworkAccessProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
